package com.etri.groupware;


import com.etri.groupware.organization.*;
import com.etri.groupware.authentication.* ;
import com.etri.groupware.bbs.*;
import com.etri.groupware.eda.*;

interface GroupwareDBManagerFactoryInterface{
	
	public OrganizationDBManagerInterface createOrganizationDBManager() throws Exception;
	public AuthenticationDBManagerInterface createAuthenticationDBManager() throws Exception;
	public BBSDBManagerInterface createBBSDBManager() throws Exception;
	public EDADBManagerInterface createEDADBManager() throws Exception;

}

    